## GstAnalyticsBatchMeta

This meta represents a batch of buffers from one or more streams together with the relevant events to be able to interpret the buffers and to be able to reconstruct the original streams.

When used for multiple streams and batching them temporarily, caps of type `multistream/x-analytics-batch(meta:GstAnalyticsBatchMeta)` should be used, with the original caps of each stream in an array-typed `streams` field. The original caps of each stream might be extended by additional fields and the order of the streams in the array corresponds to the order of the streams array of the meta. In this case, empty buffers would be used without any GstMemory and

When used for a single stream, the original caps might be used together with the `meta:GstAnalyticsBatchMeta` caps feature and potentially extended by additional fields to describe the kind of batching and its configuration, e.g. that each batch is made of 25% overlapping 320x320 slices of the original video frame.

The timestamp, duration and other metadata of each batch can be retrieved from the parent buffer of this meta.

### Members

`meta` (GstMeta) –

parent

`streams` (GstAnalyticsBatchStream *) –

GstAnalyticsBatchStream for this batch

`n_streams` (gsize) –

Number of streams

Since : 1.28

## GstAnalytics.BatchMeta

This meta represents a batch of buffers from one or more streams together with the relevant events to be able to interpret the buffers and to be able to reconstruct the original streams.

When used for multiple streams and batching them temporarily, caps of type `multistream/x-analytics-batch(meta:GstAnalyticsBatchMeta)` should be used, with the original caps of each stream in an array-typed `streams` field. The original caps of each stream might be extended by additional fields and the order of the streams in the array corresponds to the order of the streams array of the meta. In this case, empty buffers would be used without any Gst.Memory and

When used for a single stream, the original caps might be used together with the `meta:GstAnalyticsBatchMeta` caps feature and potentially extended by additional fields to describe the kind of batching and its configuration, e.g. that each batch is made of 25% overlapping 320x320 slices of the original video frame.

The timestamp, duration and other metadata of each batch can be retrieved from the parent buffer of this meta.

### Members

`meta` (Gst.Meta) –

parent

`streams` ([ GstAnalytics.BatchStream ]) –

GstAnalytics.BatchStream for this batch

`n_streams` (Number) –

Number of streams

Since : 1.28

## GstAnalytics.BatchMeta

This meta represents a batch of buffers from one or more streams together with the relevant events to be able to interpret the buffers and to be able to reconstruct the original streams.

When used for multiple streams and batching them temporarily, caps of type `multistream/x-analytics-batch(meta:GstAnalyticsBatchMeta)` should be used, with the original caps of each stream in an array-typed `streams` field. The original caps of each stream might be extended by additional fields and the order of the streams in the array corresponds to the order of the streams array of the meta. In this case, empty buffers would be used without any Gst.Memory and

When used for a single stream, the original caps might be used together with the `meta:GstAnalyticsBatchMeta` caps feature and potentially extended by additional fields to describe the kind of batching and its configuration, e.g. that each batch is made of 25% overlapping 320x320 slices of the original video frame.

The timestamp, duration and other metadata of each batch can be retrieved from the parent buffer of this meta.

### Members

`meta` (Gst.Meta) –

parent

`streams` ([ GstAnalytics.BatchStream ]) –

GstAnalytics.BatchStream for this batch

`n_streams` (int) –

Number of streams

Since : 1.28

### Functions

#### gst_analytics_batch_meta_get_info

    const GstMetaInfo *
    gst_analytics_batch_meta_get_info ()

Returns –
No description available

Since : 1.28

## GstAnalyticsBatchStream

### Members

`index` (guint) –

Index of the stream in the meta's stream array

`sticky_events` (GstEvent **) –

The sticky events store before any of the mini objects in the objects fields are processed

`n_sticky_events` (gsize) –

Number of sticky events

`objects` (GstMiniObject **) –

GstMiniObject in this batch for this stream. Those are serialized mini objects: buffers, bufferlists and serialized events

`n_objects` (gsize) –

Number of objects

Since : 1.28

## GstAnalytics.BatchStream

### Members

`index` (Number) –

Index of the stream in the meta's stream array

`sticky_events` ([ Gst.Event ]) –

The sticky events store before any of the mini objects in the objects fields are processed

`n_sticky_events` (Number) –

Number of sticky events

`objects` ([ Gst.MiniObject ]) –

Gst.MiniObject in this batch for this stream. Those are serialized mini objects: buffers, bufferlists and serialized events

`n_objects` (Number) –

Number of objects

Since : 1.28

## GstAnalytics.BatchStream

### Members

`index` (int) –

Index of the stream in the meta's stream array

`sticky_events` ([ Gst.Event ]) –

The sticky events store before any of the mini objects in the objects fields are processed

`n_sticky_events` (int) –

Number of sticky events

`objects` ([ Gst.MiniObject ]) –

Gst.MiniObject in this batch for this stream. Those are serialized mini objects: buffers, bufferlists and serialized events

`n_objects` (int) –

Number of objects

Since : 1.28

### Methods

#### gst_analytics_batch_stream_get_caps

    GstCaps *
    gst_analytics_batch_stream_get_caps (GstAnalyticsBatchStream * stream)

Gets the GstCaps from a stream

Parameters:

`stream` –

A GstAnalyticsBatchStream

Returns ( [nullable][transfer: none]) –

The GstCaps if there are any

Since : 1.28

#### GstAnalytics.BatchStream.prototype.get_caps

    function GstAnalytics.BatchStream.prototype.get_caps(): {
        // javascript wrapper for 'gst_analytics_batch_stream_get_caps'
    }

Gets the Gst.Caps from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (Gst.Caps) –

The Gst.Caps if there are any

Since : 1.28

#### GstAnalytics.BatchStream.get_caps

    def GstAnalytics.BatchStream.get_caps (self):
        #python wrapper for 'gst_analytics_batch_stream_get_caps'

Gets the Gst.Caps from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (Gst.Caps) –

The Gst.Caps if there are any

Since : 1.28

#### gst_analytics_batch_stream_get_segment

    const GstSegment *
    gst_analytics_batch_stream_get_segment (GstAnalyticsBatchStream * stream)

Gets the GstSegment from a stream

Parameters:

`stream` –

A GstAnalyticsBatchStream

Returns ( [nullable][transfer: none]) –

The GstSegment if there is one

Since : 1.28

#### GstAnalytics.BatchStream.prototype.get_segment

    function GstAnalytics.BatchStream.prototype.get_segment(): {
        // javascript wrapper for 'gst_analytics_batch_stream_get_segment'
    }

Gets the Gst.Segment from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (Gst.Segment) –

The Gst.Segment if there is one

Since : 1.28

#### GstAnalytics.BatchStream.get_segment

    def GstAnalytics.BatchStream.get_segment (self):
        #python wrapper for 'gst_analytics_batch_stream_get_segment'

Gets the Gst.Segment from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (Gst.Segment) –

The Gst.Segment if there is one

Since : 1.28

#### gst_analytics_batch_stream_get_stream_id

    const gchar *
    gst_analytics_batch_stream_get_stream_id (GstAnalyticsBatchStream * stream)

Gets the current stream id from a stream

Parameters:

`stream` –

A GstAnalyticsBatchStream

Returns ( [nullable][transfer: none]) –

The stream id if there is any

Since : 1.28

#### GstAnalytics.BatchStream.prototype.get_stream_id

    function GstAnalytics.BatchStream.prototype.get_stream_id(): {
        // javascript wrapper for 'gst_analytics_batch_stream_get_stream_id'
    }

Gets the current stream id from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (String) –

The stream id if there is any

Since : 1.28

#### GstAnalytics.BatchStream.get_stream_id

    def GstAnalytics.BatchStream.get_stream_id (self):
        #python wrapper for 'gst_analytics_batch_stream_get_stream_id'

Gets the current stream id from a stream

Parameters:

`stream` (GstAnalytics.BatchStream) –

A GstAnalytics.BatchStream

Returns (str) –

The stream id if there is any

Since : 1.28

## Functions

### gst_analytics_batch_meta_api_get_type

    GType
    gst_analytics_batch_meta_api_get_type ()

Returns –
No description available

Since : 1.28

### gst_buffer_add_analytics_batch_meta

    GstAnalyticsBatchMeta *
    gst_buffer_add_analytics_batch_meta (GstBuffer * buffer)

Adds a GstAnalyticsBatchMeta to a buffer or returns the existing one

Parameters:

`buffer` –

A writable GstBuffer

Returns ( [transfer: none]) –

The new GstAnalyticsBatchMeta

Since : 1.28

### GstAnalytics.prototype.buffer_add_analytics_batch_meta

    function GstAnalytics.prototype.buffer_add_analytics_batch_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_analytics_batch_meta'
    }

Adds a GstAnalytics.BatchMeta to a buffer or returns the existing one

Parameters:

`buffer` (Gst.Buffer) –

A writable Gst.Buffer

Returns (GstAnalytics.BatchMeta) –

The new GstAnalytics.BatchMeta

Since : 1.28

### GstAnalytics.buffer_add_analytics_batch_meta

    def GstAnalytics.buffer_add_analytics_batch_meta (buffer):
        #python wrapper for 'gst_buffer_add_analytics_batch_meta'

Adds a GstAnalytics.BatchMeta to a buffer or returns the existing one

Parameters:

`buffer` (Gst.Buffer) –

A writable Gst.Buffer

Returns (GstAnalytics.BatchMeta) –

The new GstAnalytics.BatchMeta

Since : 1.28

### gst_buffer_get_analytics_batch_meta

    GstAnalyticsBatchMeta *
    gst_buffer_get_analytics_batch_meta (GstBuffer * buffer)

Gets the GstAnalyticsBatchMeta from a buffer

Parameters:

`buffer` –

A GstBuffer

Returns ( [nullable][transfer: none]) –

The GstAnalyticsBatchMeta if there is one

Since : 1.28

### GstAnalytics.prototype.buffer_get_analytics_batch_meta

    function GstAnalytics.prototype.buffer_get_analytics_batch_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_analytics_batch_meta'
    }

Gets the GstAnalytics.BatchMeta from a buffer

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstAnalytics.BatchMeta) –

The GstAnalytics.BatchMeta if there is one

Since : 1.28

### GstAnalytics.buffer_get_analytics_batch_meta

    def GstAnalytics.buffer_get_analytics_batch_meta (buffer):
        #python wrapper for 'gst_buffer_get_analytics_batch_meta'

Gets the GstAnalytics.BatchMeta from a buffer

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstAnalytics.BatchMeta) –

The GstAnalytics.BatchMeta if there is one

Since : 1.28

## Constants

### GST_ANALYTICS_BATCH_META_API_TYPE

    #define GST_ANALYTICS_BATCH_META_API_TYPE \
      (gst_analytics_batch_meta_api_get_type())

The Analytics Batch Meta API type

Since : 1.28

### GST_ANALYTICS_BATCH_META_INFO

    #define GST_ANALYTICS_BATCH_META_INFO \
      (gst_analytics_batch_meta_get_info())

The Analytics Batch Meta API Info

Since : 1.28

### GST_CAPS_FEATURE_META_GST_ANALYTICS_BATCH_META

    #define GST_CAPS_FEATURE_META_GST_ANALYTICS_BATCH_META "meta:GstAnalyticsBatchMeta"

The caps feature to be used on streams that make use of this meta.

Since : 1.28

### GstAnalytics.CAPS_FEATURE_META_GST_ANALYTICS_BATCH_META

The caps feature to be used on streams that make use of this meta.

Since : 1.28

### GstAnalytics.CAPS_FEATURE_META_GST_ANALYTICS_BATCH_META

The caps feature to be used on streams that make use of this meta.

Since : 1.28

The results of the search are